%define Name LE
Name: le
Version: 1.13.11
Release: alt1
Summary: Text editor utilizing curses library for screen output
License: %gpl2plus
Group: Editors
URL: http://www.yar.ru/~lav/programs.html
Source: ftp://ftp.yars.free.net/pub/source/%name/%name-%version.tar
Packager: Led <led@altlinux.ru>

BuildRequires(pre): rpm-build-licenses
BuildRequires: gcc-c++ libncursesw-devel

%description
%Name - text editor utilizing curses library for screen output.
Here are its features: various operations with stream and rectangular
blocks, search and replace with full regular expressions, text
formatting, undelete/uninsert, hex editing, tunable key sequences,
tunable colors, tunable syntax highlighting, mouse support via ncurses.
Can use mmap to edit very large files or even devices.
%Name has many block operations with stream and rectangular blocks, can
edit both unix and dos style files (LF/CRLF), is binary clean, has hex
mode, tunable syntax highlighting, tunable color scheme, tunable key
map and some more useful features. It is slightly similar to
Norton Editor from DOS.


%prep
%setup
sed -i 's/\r$//' TODO


%build
%configure
%make_build
bzip2 --best --keep --force NEWS


%install
%make_install DESTDIR=%buildroot install


%files
%doc ChangeLog FEATURES HISTORY NEWS.* README TODO doc/README*
%_bindir/*
%_man1dir/*
%_datadir/%name


%changelog
* Sat Dec 20 2008 Led <led@altlinux.ru> 1.13.11-alt1
- initial build
